## org.eclipse.emf.mapping.ecore2xml.impl
Class ENamedElementToXMLInfoMapEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.ecore2xml.impl.ENamedElementToXMLInfoMapEntryImpl

All Implemented Interfaces:
  java.util.Map.Entry<ENamedElement,XMLInfo>, Notifier, BasicEMap.Entry<ENamedElement,XMLInfo>, EObject, InternalEObject

    public class ENamedElementToXMLInfoMapEntryImpl

extends EObjectImpl
implements BasicEMap.Entry<ENamedElement,XMLInfo>

An implementation of the model object 'ENamed Element To XML Info Map Entry'.

The following features are implemented:

- `Key`
- `Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected int` `hash`
`protected ENamedElement` `key` The cached value of the '`Key`' reference
`protected XMLInfo` `value` The cached value of the '`Value`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ENamedElementToXMLInfoMapEntryImpl()`

Method Summary
`ENamedElement` `basicGetTypedKey()`
`NotificationChain` `basicSetTypedValue(XMLInfo newValue, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EMap<ENamedElement,XMLInfo>` `getEMap()`
`int` `getHash()`
`ENamedElement` `getKey()`
`ENamedElement` `getTypedKey()`
`XMLInfo` `getTypedValue()`
`XMLInfo` `getValue()`
`void` `setHash(int hash)`
`void` `setKey(ENamedElement key)`
`void` `setTypedKey(ENamedElement newKey)`
`void` `setTypedValue(XMLInfo newValue)`
`XMLInfo` `setValue(XMLInfo value)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### key

    protected ENamedElement key

  The cached value of the '`Key`' reference.

  See Also:
    `getTypedKey()`

### value

    protected XMLInfo value

  The cached value of the '`Value`' containment reference.

  See Also:
    `getTypedValue()`

### hash

    protected int hash

Constructor Detail

### ENamedElementToXMLInfoMapEntryImpl

    protected ENamedElementToXMLInfoMapEntryImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getTypedKey

    public ENamedElement getTypedKey()

### basicGetTypedKey

    public ENamedElement basicGetTypedKey()

### setTypedKey

    public void setTypedKey(ENamedElement newKey)

### getTypedValue

    public XMLInfo getTypedValue()

### basicSetTypedValue

    public NotificationChain basicSetTypedValue(XMLInfo newValue,
                                                NotificationChain msgs)

### setTypedValue

    public void setTypedValue(XMLInfo newValue)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getHash

    public int getHash()

  Specified by:
    `getHash` in interface `BasicEMap.Entry<ENamedElement,XMLInfo>`

### setHash

    public void setHash(int hash)

  Specified by:
    `setHash` in interface `BasicEMap.Entry<ENamedElement,XMLInfo>`
  Parameters:
    `hash` - the hash.

### getKey

    public ENamedElement getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<ENamedElement,XMLInfo>`

### setKey

    public void setKey(ENamedElement key)

  Specified by:
    `setKey` in interface `BasicEMap.Entry<ENamedElement,XMLInfo>`
  Parameters:
    `key` - the key.

### getValue

    public XMLInfo getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<ENamedElement,XMLInfo>`

### setValue

    public XMLInfo setValue(XMLInfo value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<ENamedElement,XMLInfo>`

### getEMap

    public EMap<ENamedElement,XMLInfo> getEMap()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.